Anope IRC Services

Please login or register.

Login with username, password and session length
Advanced search  

News:

Pages: [1]   Go Down

Author Topic: Simple Inquiry about Stability of 1.9  (Read 6692 times)

0 Members and 1 Guest are viewing this topic.

Aikar

  • Anope User
  • Offline Offline
  • Posts: 13
Simple Inquiry about Stability of 1.9
« on: April 21, 2009, 02:30:12 AM »

1.7 went for a long time under the 'development' branch and was perfectly stable for use in production.

So my question is, since its hard to tell from support forums since people dont post 'it works fine, thanks, no problems at all', is 1.9 stable enough for production use with unreal 3.2?

I was hoping to do some upgrades tonight, and was looking forward to 1.9. I'd just like some assurance its stable like 1.7 was.

also, will there be any tool for doing 1.7 -> 1.9, as i read looks like ima have to install 1.8 just to upgrade 1.7->1.8 then 1.8 to 1.9? >:(
Logged

Amanda Folson

  • Anope User
  • Offline Offline
  • Posts: 164
  • O_O
    • ZomgIRC
Re: Simple Inquiry about Stability of 1.9
« Reply #1 on: April 21, 2009, 02:32:30 AM »

I'd go with 1.8 for now if I were you. 1.9 probably *is* stable enough for a production network, however I wouldn't risk it.
Logged

Jobe

  • Contributor
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 1023
    • Anope IRC Services
Re: Simple Inquiry about Stability of 1.9
« Reply #2 on: April 21, 2009, 02:37:17 AM »

I would like to add, that as far as I know, 1.7.* was pretty unstable early on, and wasn't as stable as it's grown to be until later on in the development of it.

The same can be considered of any development branch.
Logged
Your IP: ()
My IRC Status:

Come along and visit http://www.anopequotes.org/

Naram Qashat

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 192
    • CBX's Sprite Animations
Re: Simple Inquiry about Stability of 1.9
« Reply #3 on: April 21, 2009, 02:41:08 AM »

1.9.x, though, is going to go through a lot of iterations, so it's possible that what might be considered "stable" now won't be so stable later.  A good example is that 1.9.0 (and 1.9.0p1, which fixes some of 1.9.0 by backporting 1.9.1) is relatively stable for use, however, in it's current state, 1.9.1 isn't stable, mainly because we haven't compiled it as a release and are still working on it.  The SVN trunk branch is the latest of 1.9.x, and that currently means 1.9.1.  When 1.9.1 is released, trunk will be 1.9.2 in progress.  I hope that clears up some things.  Just keep in mind that we probably will not consider 1.9.x to ever be truly stable, and when it does get to that point, we will probably reversion it to 2.0 at that point.
Logged

Aikar

  • Anope User
  • Offline Offline
  • Posts: 13
Re: Simple Inquiry about Stability of 1.9
« Reply #4 on: April 21, 2009, 09:41:57 PM »

Hmm, since 1.7/1.8 seems to be thrown together on support, are they sorta similiar in regards to modules and such? I'm currently using that SQL module to enable registrations from the web - however i was looking forward to real mysql support with 1.9.

But if p1 is 'stable' as is, i may go with that until the next 'stable' ver of 1.9.X is out.

and yeah i setup my network on 1.7.21. finally getting around to updating stuff.
Logged

Amanda Folson

  • Anope User
  • Offline Offline
  • Posts: 164
  • O_O
    • ZomgIRC
Re: Simple Inquiry about Stability of 1.9
« Reply #5 on: April 21, 2009, 09:45:29 PM »

1.8 is th stable version of 1.7.X

There are a few changes between the two, but most modules should still work. MySQL is ripped out of 1.9 for now until it can be done properly.
Logged

Naram Qashat

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 192
    • CBX's Sprite Animations
Re: Simple Inquiry about Stability of 1.9
« Reply #6 on: April 21, 2009, 09:47:29 PM »

1.9.0p1 is pretty stable.  Teranova is running it (the network that Anope's IRC support is on).

Modules for 1.7.x and 1.8.x won't work with 1.9.x.  The internal module API is entirely different and as such, older modules will not work.  They will need to be recoded for 1.9.x, and as of right now, 1.9.0 and 1.9.1 are also very different (a module for 1.9.0 won't work with 1.9.1, and same for the reverse situation).  If there are any 1.7.x or 1.8.x modules you really want, I would recommend talking to the module author and seeing if they can port it over, or even asking someone else to port it.
Logged

Amanda Folson

  • Anope User
  • Offline Offline
  • Posts: 164
  • O_O
    • ZomgIRC
Re: Simple Inquiry about Stability of 1.9
« Reply #7 on: April 21, 2009, 09:51:48 PM »

There are a few modules that have already been ported that aren't on the modsite yet. Your best bet is to ask in the support channel (irc.anope.org #anope) to see if someone already has it for 1.9
Logged

Aikar

  • Anope User
  • Offline Offline
  • Posts: 13
Re: Simple Inquiry about Stability of 1.9
« Reply #8 on: April 21, 2009, 10:58:19 PM »

well i figured modules wouldnt work, but i was thinking the mysql support would of been there and i could of implemented web registrations more cleanly -- but as it looks, if no mysql support and modules broken, 1.8 it is :3

im glad to see development has really picked up though, i remember when i first looked up 1.9 i thought to myself that it would be years before ever seeing that lol.

thanks for the answers :) looking forward to the stable 'more final in terms of internal design' version of 1.9 in the future!
Logged

Naram Qashat

  • Team
  • *
  • Offline Offline
  • Gender: Male
  • Posts: 192
    • CBX's Sprite Animations
Re: Simple Inquiry about Stability of 1.9
« Reply #9 on: April 21, 2009, 11:04:19 PM »

Ah, well, MySQL support is planned to be reintroduced in 1.9.2 (hopefully), and we plan on allowing for Live MySQL, meaning Anope will actively read and write to the database, which would allow people to set up web pages to register, for one thing.
Logged

ShawnSmith

  • Anope User
  • Offline Offline
  • Posts: 46
Re: Simple Inquiry about Stability of 1.9
« Reply #10 on: April 22, 2009, 09:20:37 PM »

I'm running 1.9.0p1 on a small network, I'm only using it since we're switching to Inspircd 1.2 soon and need to use 1.9, I've had no problems with it thus far.
Logged
Pages: [1]   Go Up